%define	name	pingus
%define	version	0.6.0
%define	release	7mdk
%define	Summary	Pingus - A free Lemmings clone

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://dark.x.dtu.dk/~grumbel/pingus/%{name}-%{version}.tar.bz2
Source3:	pingus-music-0.4.tar.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		pingus-0.6.0-gcc33.patch.bz2
Patch1:		pingus-0.6.0-gcc34.patch.bz2
URL:		http://pingus.seul.org/
License:	GPL
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	ImageMagick-devel libclanlib-devel libclanlib-jpeg
BuildRequires:	libclanlib-png libclanlib-vorbis esound-devel 
BuildRequires:	tiff-devel SDL_mixer-devel libxml2-devel
BuildRequires:	libclanlib-mikmod libclanlib-gui libclanlib-sound
# (gc) needed because of binary incompatibility of datafiles between versions of clanlib
Requires:	clanlib0.6 = 0.6.5

%description
Pingus is a free Lemmings clone covered under the GPL. Pingus uses ClanLib,
which should make it portable over a lot of operating systems in the future. At
the moment the main target is Linux. It is possible to play Pingus in a X
window or in fullscreen using DGA or fbdev.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%build
%configure2_5x --bindir=%{_gamesbindir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.png" \
  needs="x11" section="Amusement/Arcade" title="Pingus" \
  longtitle="%{Summary}"
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/games/%{name}/
tar jxvf %{SOURCE3} -C $RPM_BUILD_ROOT%{_datadir}/games/%{name}/
rm -f $RPM_BUILD_ROOT%{_datadir}/games/%{name}/*/.cvsignore
# (gc) very rough
mv $RPM_BUILD_ROOT%{_datadir}/games/%{name}/{pingus-music-0.4,music}

#mkdir -p $RPM_BUILD_ROOT%{_datadir}/games/%{name}/sound
#tar jxvf %{SOURCE4} -C $RPM_BUILD_ROOT%{_datadir}/games/%{name}/sound

%find_lang %{name}

%post
%{update_menus}
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README* TODO
%{_gamesbindir}/pingus
%{_mandir}/*/*
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Tue Aug 31 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.6.0-7mdk
- rebuild for new menu
- fix buildrequires (lib64..)

* Mon Jun 28 2004 Michael Scherer <misc@mandrake.org> 0.6.0-6mdk
- rebuild for new gcc and new clanlib, with the help of Laurent Montel <lmontel@mandrakesoft.com>
- remove Packager tag
 
* Wed Nov 19 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.6.0-5mdk
- fix explicit require on clanlib

* Sun Nov 09 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.6.0-4mdk
- update url
- don't bzip2 icons in src.rpm
- fix buildrequires

* Fri Jul 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.6.0-3mdk
- rebuild
- macroize
- change summary macro to avoid possible conflicts if we were to build debug package 

* Wed Jun 11 2003 Götz Waschk <waschk@linux-mandrake.com> 0.6.0-2mdk
- cleanup
- fix buildrequires
- patch for gcc 3.3 build
- autoconf 2.5 macro

* Thu Apr 24 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.6.0-1mdk
- 0.6.0
- drop Patch0
- updated BuildRequires
- use %%make macro for parallell builds
- update docs

* Thu Feb 13 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.0-0.pre3.1mdk
- freshen sourcecode

* Fri Aug 16 2002 Götz Waschk <waschk@linux-mandrake.com> 0.5.0-0.pre2.9mdk
- gcc 3.2-0.3mdk build

* Wed Aug  7 2002 Götz Waschk <waschk@linux-mandrake.com> 0.5.0-0.pre2.8mdk
- gcc 3.2 build

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.0-0.pre2.7mdk
- recompile against new vorbis stuff

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.0-0.pre2.6mdk
- recompile against latest libstdc++

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.0-0.pre2.5mdk
- rebuild for new alsa

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.0-0.pre2.4mdk
- xpm -> png icons

* Mon Nov 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.0-0.pre2.3mdk
- recompile against clanlib-0.5.1 (binary datafiles are not compatible
  with 0.5.0)

* Thu Oct 18 2001 Stefan van der Eijk <stefan@eijk.nu> 0.5.0-0.pre2.2mdk
- BuildRequires: libxml-devel
- Removed redundant BuildRequires

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.0-0.pre2.1mdk
- new version (unstable)
- fix obsolete-tag Copyright
- `gege' sound effects no more supported, too many are missing

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-14mdk
- rebuild

* Fri Jun 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4.0-13mdk
- Fixed BuildRequires

* Fri Mar 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-12mdk
- will try not to crash when dsp is busy and user asked for sound/music
- use no-omit-frame-pointer to workaround g++ exceptions bug

* Fri Feb 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-11mdk
- add 48x48 icon
- fix requires on launch_x11_clanapp

* Wed Dec 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-10mdk
- rebuild against new SDL_mixer

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-9mdk
- rebuild to follow new lib policy of clanlib and SDL_mixer
- can build with full opts now that gcc-2.96 does not suck anymore

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-8mdk
- recompile against newest libstdc++
- fix compile with gcc-2.96 by downgrading optimization to -O1
- against lowercased hermes and clanlib

* Tue Oct 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-7mdk
- use autoconf to get the gcc-2.96 fix in the configure script

* Wed Sep 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-6mdk
- fix sound and music

* Wed Sep  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-5mdk
- menu: now launches automatically the x11 target

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-4mdk
- fixed missing install_info

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-3mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.0-2mdk
- automatically added BuildRequires

* Tue Aug  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.4.0-1mdk
- took SRPM from Pingus website
- adapted to mdk
- took the `stable' 0.4.0 out of the CVS version with the help of
  Ingo Ruhnke <grumbel@gmx.de>
- fixed the not working resource files with the help of Ingo
- fixed behaviour when not config file (patch sourcecode)
- removed the buggy themes files (made pingus segfaulting)
- menu entry

* Fri Feb 18 2000 David Philippi <david@torangan.saar.de>
- Update to version 0.3.1

* Sun Dec 26 1999 David Philippi <david@torangan.saar.de>
- Fixed again the "install-info" bug

* Sun Dec 26 1999 David Philippi <david@torangan.saar.de>
- Fixed an old bug that prevented rpm from finding the provides

* Sun Dec 26 1999 David Philippi <david@torangan.saar.de>
- Update to version 0.3.0a

* Tue Nov 09 1999 David Philippi <david@torangan.saar.de>
- Update to version 0.2.4

* Fri Oct 08 1999 David Philippi <david@torangan.saar.de>
- Fixed a bug which caused rpm to generate a file /usr/info/dir

* Sun Oct 03 1999 David Philippi <david@torangan.saar.de>
- Update to version 0.2.3

* Sat Sep 18 1999 David Philippi <david@torangan.saar.de>
- Update to version 0.2.2

* Tue Jul 13 1999 Klaus Knopper <klaus@knopper.net>
- First RPMified pingus
